cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Torsten Curdt <tcu...@dff.st>
Subject Re: [BUG] Cocoon doesn't build with JDK 1.4
Date Tue, 29 Oct 2002 10:47:46 GMT
On Tuesday 29 October 2002 11:11, Carsten Ziegeler wrote:
> Hi,
>
> the latest cvs of cocoon doesn't compile with JDK 1.4. It seems
> this is caused by the latest move of the database blocks:
>
>      [echo] Compiling block with Java 1.4, debug on, optimize off,
> deprecation o
> ff...
>     [javac] Compiling 29 source files to
> F:\eclipse\workspace\ApacheCocoon\build
> \cocoon\blocks\databases\dest
>     [javac]
> F:\eclipse\workspace\ApacheCocoon\build\cocoon\blocks\databases\src\
> org\apache\cocoon\components\language\markup\xsp\EsqlConnection.java:66:
> org.apa
> che.cocoon.components.language.markup.xsp.EsqlConnection should be declared
> abst
> ract; it does not define setHoldability(int) in
> org.apache.cocoon.components.lan
> guage.markup.xsp.EsqlConnection
>     [javac] public class EsqlConnection implements Connection {
>
> Carsten

this was reported before... and I was able to reproduce it once.
after a "build clean" now everything works fine for me.

of course talking about latest head...

linux + sun jdk 1.4.1
--
Torsten

---------------------------------------------------------------------
To unsubscribe, e-mail: cocoon-dev-unsubscribe@xml.apache.org
For additional commands, email: cocoon-dev-help@xml.apache.org


Mime
View raw message